% Crée en prenant exemple sur un document de Grégory DAVID
%
% Auteur  : Dylan MICHEL
%%
\documentclass[french]{article}
\usepackage[utf8]{inputenc}
\usepackage[french]{babel}
\usepackage{latex2man}
\usepackage{hyperref}

\begin{document}
\begin{Name}{1}{DoorPush}{Dylan Michel}{Application web de notification}{Web apps for web push \rule{\linewidth}{.5pt}}
	
\Prog{DoorPush} is an API we use to send a push notification from a web page to an user. The user can send a response while cliking on.
    
    
\end{Name}

\bigbreak
\section{Synopsis}
\Prog{DoorPush} Using Django, it allow to logging for send a web push notification to the administrator, who can send an acknowledgment from cliking on the push and the button yes/no


\newpage
\section{Specifications}

\subsection{Physical}
\begin{center}
\begin{description}
\item[Raspberry PI 3B] or better / Or linux if no breadboard
\item[Breadboard] If raspberry
\item[Push button]Some for breadboard / If raspberry
\item[100ohm Resistor]Same number of push button / If raspberry
\item[Jumper Wires](1 for outer + 2 for each push button) = number needed / If raspberry
\end{description}
\end{center}
\subsection{Software}
\begin{center}
\begin{description}
\item[Apache2]
\item[WSGI]
\item[PHP 7].x
\item[Mariabd / Postgresql]
\item[SSL] (not autosigned)
\item[Django]
\item[Python 3]
\item[python3.6-venv]
\item[Pypi]
\end{description}
\end{center}
\newpage


\bigbreak
\section{How to install}
\subsection{Exemple breadboard setting}
Image branchement\\
\subsection{Download}
Clone the git project https://framagit.org/dylan.michel/djangomicheldylan.git in your folder 
/var/www/html/ or \textasciitilde/public\_html \\ 

\subsection{Database}
Create schema and user for django with all permission on this schema.\\


\subsection{Configure your settings.py}
First go in the project at path/to/djangoMichelDylan/mysite/mysite/ \\
Lauch with python secret.py\\
Do in shell: \\
\$>cat secret.key\\
And copy the output...\\ \\
Open with text editor in the project settings.py\\

\subsubsection{SecretKey}
Go to line 23 and paste the secret key at SECRET\_KEY = 'past here'


\subsubsection{Database}
Go to the line 79.\\

Define the ENGINE depend on database, look the\\\href{https://docs.djangoproject.com/fr/2.1/ref/settings/}{django documentation}\#engine \\

Name :

\subsubsection{VapidKey}
Get a new vapid key on the website : https://web-push-codelab.glitch.me/\\
Go to the line 109 and replace publickey and privatekey by the key given on the web site.\\
Replace the vapid admin email to.


\subsection{Configure your apache with WSGI}
There an exemple of my apache2.conf \\ \href{https://framagit.org/dylan.michel/djangomicheldylan/snippets/3287}{here}
\bigbreak
It's depending on your configuration at all.\\
You need activate SSL


\subsection{Creating your virtual environnement}
Go to the project at path/to/project/djangoMichelDylan/ \\
Do the make \bigbreak \$ Make \\

\subsection{Manage database}
From the directory to creating your virtual environnement do \bigbreak
\$ source ../myvenv/bin/activate \\
\\Now go at path/to/project/djangoMichelDylan/mysite/ \\
If everythink is ok we are going to migrate the database
\bigbreak 
\$ python manage.py migrate \\ \break 
python manage.py makemigrations door \\ \break
python manage.py migrate \\
 
\subsection{Creating django super-user} 

Alway sourced \& at path/to/project/djangoMichelDylan/mysite/ do \bigbreak
\$ python manage.py createsuperuser

\subsection{Creating new user \& door}

Go on web from https://website.com/admin \\
Connect with your superuser then you can create \\new user or door..

\newpage
\bigbreak
\section{Traduction}
NAN


\bigbreak
\section{Version}

Version : \Version\ du \Date.

\bigbreak
\section{Licensing and Copyright}
\begin{description}
    \item[Copyright] \copyright\ 2019, DoorPush, 3 rue Beau
    Soleil, 72700 Allonnes FRANCE
    \item[Licence] Indicate the succinct terms of the license
of use.

    \item[Misc] If you find this software useful, please send me a
    postcard.
\end{description}

\bigbreak
\section{Author}

\noindent
Dylan Michel                      \\
3 rue Beau Soleil                       \\
72700 Allonnes                       \\
Email: \Email{dylan.michel@bst-malraux.net}  \\
WWW: \URL{http://www.bts-malraux72.net/~d.michel/DjangoMichelDylan/}.
\LatexManEnd

\end{document}

